%define lib_major 2

%define lib_name %mklibname art_lgpl %{lib_major}
%define develname %mklibname -d art_lgpl

%define url_ver	%(echo %{version}|cut -d. -f1,2)


Summary:	Library for high-performance 2D graphics
Name:		libart_lgpl
Version:	2.3.21
Release:	%mkrel 5
Source0:	http://download.gnome.org/sources/libart_lgpl/%{url_ver}/%{name}-%{version}.tar.bz2
License:	LGPL
URL:		http://www.levien.com/libart/
Group:		System/Libraries

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %develname
Summary:	%{summary}
Group:		Development/GNOME and GTK+
Provides:	art_lgpl-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d art_lgpl 2
Requires:	pkgconfig >= 0.8
Requires:	%{lib_name} = %{version}-%{release}


%description -n %develname
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
%multiarch_binaries %buildroot%_bindir/*-config
%multiarch_includes %buildroot%_includedir/libart-2.0/libart_lgpl/art_config.h

%files -n %{lib_name}
%{_libdir}/libart_lgpl_2.so.%{lib_major}*

%files -n %develname
%{_bindir}/*-config
%{_bindir}/*/libart2-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*






%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.3.21-5.mga3
+ Revision: 356823
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 14 2012 ovitters <ovitters> 2.3.21-4.mga2
+ Revision: 208770
- clean spec

* Thu Jan 13 2011 blino <blino> 2.3.21-3.mga1
+ Revision: 8904
- remove old ldconfig scriptlets
- imported package libart_lgpl

